> ## Documentation Index
> Fetch the complete documentation index at: https://docs.patch.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Find the host game for a store id the desktop app detected



## OpenAPI

````yaml /api-reference/openapi.json get /host-games/lookup
openapi: 3.1.0
info:
  title: Patch API
  version: 1.0.0
  description: >-
    The public API behind patch.gg, the desktop app and pch. Changes within v1
    are additive only. Errors are { error: { code, message, details } }; branch
    on code.
servers:
  - url: https://patch.gg/api/v1
security: []
paths:
  /host-games/lookup:
    get:
      tags:
        - Host games
      summary: Find the host game for a store id the desktop app detected
      parameters:
        - schema:
            type: string
            enum:
              - steam
              - epic
              - gog
              - xbox
              - ea
              - ubisoft
              - battlenet
              - microsoft
          required: true
          name: store
          in: query
        - schema:
            type: string
          required: true
          name: ref
          in: query
      responses:
        '200':
          description: The host game
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HostGame'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Not signed in
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Not allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    HostGame:
      type: object
      properties:
        id:
          type: string
          format: uuid
        slug:
          type: string
        name:
          type: string
        cover_url:
          type:
            - string
            - 'null'
        engine:
          type:
            - string
            - 'null'
        stores:
          type: array
          items:
            type: object
            properties:
              store:
                type: string
                enum:
                  - steam
                  - epic
                  - gog
                  - xbox
                  - ea
                  - ubisoft
                  - battlenet
                  - microsoft
              ref:
                type: string
            required:
              - store
              - ref
        builds:
          type: array
          items:
            type: object
            properties:
              store:
                type: string
                enum:
                  - steam
                  - epic
                  - gog
                  - xbox
                  - ea
                  - ubisoft
                  - battlenet
                  - microsoft
              build_ref:
                type: string
              version_label:
                type:
                  - string
                  - 'null'
            required:
              - store
              - build_ref
              - version_label
      required:
        - id
        - slug
        - name
        - cover_url
        - engine
        - stores
        - builds
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: version_exists
            message:
              type: string
            details: {}
          required:
            - code
            - message
      required:
        - error

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.